<?php

namespace Modules\CpManage;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\CpManage\Providers\CpManageServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => 'cp管理',
            'name' => 'cpManage',
            'path' => 'cpManage',
            'keywords' => 'cp管理',
            'description' => '短剧平台cp管理模块',
            'provider' =>CpManageServiceProvider::class,
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
